<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    <h2>Objednávka</h2>
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
			
				<h:outputLabel rendered="true" value="Číslo objednávky"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.idObjednavky}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Datum objednávky"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.datumObjednani}" readonly="true">
				<f:convertDateTime pattern="dd-MM-yyyy"/>
				</h:outputText>
				
				
				<h:outputLabel rendered="true" value="Cena"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.getPrice(objednavkaBean.objednavka)} Kč" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Způsob platby"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.zpusobPlatby}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Způsob dodani"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.zpusobDodani}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Jméno zákazníka"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.adresaDodani.adresat.jmeno}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Příjmení zákazníka"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.adresaDodani.adresat.prijmeni}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Obec"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.adresaDodani.obec}" readonly="true">
				</h:outputText>
								
				<h:outputLabel rendered="true" value="Ulice"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.adresaDodani.ulice}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Číslo"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.adresaDodani.cislo}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Sestavoval"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.sestavoval.login}" readonly="true">
				</h:outputText>
				
				<h:outputLabel rendered="#{objednavkaBean.dodavano()}" value="Dodával"></h:outputLabel>
				<h:outputText value="#{objednavkaBean.objednavka.dodal.login}"
				readonly="true"  rendered="#{objednavkaBean.dodavano()}">
				</h:outputText>
				
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>	

			<h2>Složení</h2>
			<h:dataTable value="#{objednavkaBean.objednavka.produkty}"
			             var="sklada" styleClass="table"
						columnClasses="text-left,text-center">
				<h:column>
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{sklada.produkt.nazevProduktu}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Množství
					</f:facet>
					<h:outputText value="#{sklada.pocet}"></h:outputText>
				</h:column>				
			</h:dataTable>	
			<h:commandLink action="#{objednavkaBean.returnToList}" styleClass="button">
				<h:outputText value="Návrat na přehled"></h:outputText>
			</h:commandLink>			
		</h:form>
	</ui:define>
</ui:composition>
</html>
